Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.datatypes
Class AbstractValueSpace

    java.lang.Object
      org.mindswap.pellet.datatypes.AbstractValueSpace

All Implemented Interfaces:
  java.util.Comparator, ValueSpace

Direct Known Subclasses:
  AbstractDateTimeValueSpace, XSDDecimal.DecimalValueSpace, XSDDuration.DurationValueSpace

    public abstract class AbstractValueSpace

extends java.lang.Object
implements ValueSpace

Field Summary
`static java.lang.Integer` | `EQ`
`static java.lang.Integer` | `GT`
`static java.lang.Integer` | `LT`
`static java.lang.Integer` | `SIZE_INF`
`static java.lang.Integer` | `SIZE_ONE`
`static java.lang.Integer` | `SIZE_ZERO`

Fields inherited from interface org.mindswap.pellet.datatypes.ValueSpace
`INFINITE`

Constructor Summary
`AbstractValueSpace(java.lang.Object minInf, java.lang.Object midVal, java.lang.Object maxInf, boolean isInfinite)`

Method Summary
`java.lang.Object` | `getMaxValue()`
`java.lang.Object` | `getMidValue()`
`java.lang.Object` | `getMinValue()`
`boolean` | `isInfinite()`
`boolean` | `isInfinite(java.lang.Object value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mindswap.pellet.datatypes.ValueSpace
`compare, count, getLexicalForm, getValue, isValid, succ`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### EQ

    public static final java.lang.Integer EQ

### GT

    public static final java.lang.Integer GT

### LT

    public static final java.lang.Integer LT

### SIZE_ZERO

    public static final java.lang.Integer SIZE_ZERO

### SIZE_ONE

    public static final java.lang.Integer SIZE_ONE

### SIZE_INF

    public static final java.lang.Integer SIZE_INF

Constructor Detail

### AbstractValueSpace

    public AbstractValueSpace(java.lang.Object minInf,
                              java.lang.Object midVal,
                              java.lang.Object maxInf,
                              boolean isInfinite)

Method Detail

### getMidValue

    public java.lang.Object getMidValue()

  Specified by:
    `getMidValue` in interface `ValueSpace`

### getMinValue

    public java.lang.Object getMinValue()

  Specified by:
    `getMinValue` in interface `ValueSpace`

### getMaxValue

    public java.lang.Object getMaxValue()

  Specified by:
    `getMaxValue` in interface `ValueSpace`

### isInfinite

    public boolean isInfinite()

  Specified by:
    `isInfinite` in interface `ValueSpace`

### isInfinite

    public boolean isInfinite(java.lang.Object value)

  Specified by:
    `isInfinite` in interface `ValueSpace`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.